Workspaces - Get Workspace
Returns specified workspace information.
Permissions
The caller must have viewer or higher workspace role.
Required Delegated Scopes
Workspace.Read.All or Workspace.ReadWrite.All
Throttling limits
| Limit Type | Value |
|---|---|
| Unified Quota for Platform APIs | 200 calls/min |
| API limit | 200 calls/min |
Microsoft Entra supported identities
This API supports the Microsoft identities listed in this section.
| Identity | Support |
|---|---|
| User | Yes |
| Service principal and Managed identities | Yes |
Interface
GET https://api.fabric.microsoft.com/v1/workspaces/{workspaceId}
GET https://api.fabric.microsoft.com/v1/workspaces/{workspaceId}?preferWorkspaceSpecificEndpoints={preferWorkspaceSpecificEndpoints}
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
workspace
|
path | True |
string (uuid) |
The workspace ID. |
|
prefer
|
query |
boolean |
A setting that controls whether to include workspace-specific or general public endpoints for API and OneLake access. True - Include workspace-specific endpoints for API and OneLake access, False - Include general public endpoints for OneLake access. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Request completed successfully. |
|
| 429 Too Many Requests |
The service rate limit was exceeded. The server returns a Headers Retry-After: integer |
|
| Other Status Codes |
Common error codes:
|
Examples
| Get a workspace example |
|
Get a workspace with prefer |
Get a workspace example
Sample request
GET https://api.fabric.microsoft.com/v1/workspaces/cfafbeb1-8037-4d0c-896e-a46fb27ff227
Sample response
{
"id": "cfafbeb1-8037-4d0c-896e-a46fb27ff227",
"displayName": "New workspace",
"description": "New workspace description",
"type": "Workspace",
"domainId": "9ce364e0-8e9d-4605-887a-b599b3e8b123",
"capacityId": "56bac802-080d-4f73-8a42-1b406eb1fcac",
"capacityAssignmentProgress": "Completed",
"workspaceIdentity": {
"applicationId": "00a4a8f9-78d3-41b3-b87a-6ae5271c8d0d",
"servicePrincipalId": "5ba4ae58-d402-45c6-a848-0253e834fd78"
},
"capacityRegion": "East US",
"oneLakeEndpoints": {
"blobEndpoint": "https://eastus-onelake.blob.fabric.microsoft.com",
"dfsEndpoint": "https://eastus-onelake.dfs.fabric.microsoft.com"
},
"tags": [
{
"id": "b3f2c8e9-4d8e-4a7c-9a32-f8c1b2e4d6af",
"displayName": "Finance"
}
]
}
Get a workspace with preferWorkspaceSpecificEndpoints example
Sample request
GET https://api.fabric.microsoft.com/v1/workspaces/cfafbeb1-8037-4d0c-896e-a46fb27ff227?preferWorkspaceSpecificEndpoints=True
Sample response
{
"id": "cfafbeb1-8037-4d0c-896e-a46fb27ff227",
"displayName": "New workspace",
"description": "New workspace description",
"type": "Workspace",
"capacityId": "56bac802-080d-4f73-8a42-1b406eb1fcac",
"capacityAssignmentProgress": "Completed",
"workspaceIdentity": {
"applicationId": "00a4a8f9-78d3-41b3-b87a-6ae5271c8d0d",
"servicePrincipalId": "5ba4ae58-d402-45c6-a848-0253e834fd78"
},
"capacityRegion": "East US",
"oneLakeEndpoints": {
"blobEndpoint": "https://cfafbeb180374d0c896ea46fb27ff227.zcf.blob.fabric.microsoft.com",
"dfsEndpoint": "https://cfafbeb180374d0c896ea46fb27ff227.zcf.dfs.fabric.microsoft.com"
},
"apiEndpoint": "https://cfafbeb180374d0c896ea46fb27ff227.zcf.w.api.fabric.microsoft.com"
}
Definitions
| Name | Description |
|---|---|
|
Capacity |
A Workspace assignment to capacity progress status. Additional capacity assignment progress values may be added over time. |
|
Capacity |
The region of the capacity associated with this workspace. Additional capacity region values may be added over time. |
|
Error |
The error related resource details object. |
|
Error |
The error response. |
|
Error |
The error response details. |
|
One |
The OneLake API endpoints associated with this workspace. |
|
Workspace |
Represents an applied tag. |
|
Workspace |
A workspace identity object. |
|
Workspace |
A workspace object. |
|
Workspace |
A workspace type. Additional workspace types may be added over time. |
CapacityAssignmentProgress
A Workspace assignment to capacity progress status. Additional capacity assignment progress values may be added over time.
| Value | Description |
|---|---|
| Completed |
Last capacity assignment operation was completed successfully. |
| Failed |
Capacity assignment operation has encountered an error or failure and was unable to complete. |
| InProgress |
Capacity assignment operation is currently running and has not yet completed. |
CapacityRegion
The region of the capacity associated with this workspace. Additional capacity region values may be added over time.
| Value | Description |
|---|---|
| Australia East |
Australia East region |
| Australia Southeast |
Australia Southeast region |
| Brazil South |
Brazil South region |
| Brazil Southeast |
Brazil Southeast region |
| Canada Central |
Canada Central region |
| Canada East |
Canada East region |
| Central India |
Central India region |
| Central US |
Central US region |
| Central US EUAP |
Central US EUAP region |
| East Asia |
East Asia region |
| East US |
East US region |
| East US 2 |
East US 2 region |
| France Central |
France Central region |
| France South |
France South region |
| Germany Central |
Germany Central region |
| Germany Northeast |
Germany Northeast region |
| Israel Central |
Israel Central region |
| Italy North |
Italy North region |
| Japan East |
Japan East region |
| Japan West |
Japan West region |
| Korea Central |
Korea Central region |
| Korea South |
Korea South region |
| Mexico Central |
Mexico Central region |
| North Central US |
North Central US region |
| North Europe |
North Europe region |
| Norway East |
Norway East region |
| Norway West |
Norway West region |
| Poland Central |
Poland Central region |
| South Africa North |
South Africa North region |
| South Africa West |
South Africa West region |
| South Central US |
South Central US region |
| South India |
South India region |
| Southeast Asia |
Southeast Asia region |
| Spain Central |
Spain Central region |
| Sweden Central |
Sweden Central region |
| Switzerland North |
Switzerland North region |
| Switzerland West |
Switzerland West region |
| West Europe |
West Europe region |
| West India |
West India region |
| West US |
West US region |
| West US 2 |
West US 2 region |
| West US 3 |
West US 3 region |
| West Central US |
West Central US region |
| UAE Central |
UAE Central region |
| UAE North |
UAE North region |
| Qatar Central |
Qatar Central region |
| Germany West Central |
Germany West Central region |
| Germany North |
Germany North region |
| UK South |
UK South region |
| UK West |
UK West region |
| China North |
China North region |
| China East |
China East region |
| China East 2 |
China East 2 region |
| China East 3 |
China East 3 region |
| China North 2 |
China North 2 region |
| China North 3 |
China North 3 region |
ErrorRelatedResource
The error related resource details object.
| Name | Type | Description |
|---|---|---|
| resourceId |
string |
The resource ID that's involved in the error. |
| resourceType |
string |
The type of the resource that's involved in the error. |
ErrorResponse
The error response.
| Name | Type | Description |
|---|---|---|
| errorCode |
string |
A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users. |
| isRetriable |
boolean |
When true, the request can be retried. Use the |
| message |
string |
A human readable representation of the error. |
| moreDetails |
List of additional error details. |
|
| relatedResource |
The error related resource details. |
|
| requestId |
string (uuid) |
ID of the request associated with the error. |
ErrorResponseDetails
The error response details.
| Name | Type | Description |
|---|---|---|
| errorCode |
string |
A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users. |
| message |
string |
A human readable representation of the error. |
| relatedResource |
The error related resource details. |
OneLakeEndpoints
The OneLake API endpoints associated with this workspace.
| Name | Type | Description |
|---|---|---|
| blobEndpoint |
string |
The OneLake API endpoint available for Blob API operations. By default, this is a region specific endpoint. If the user enables preferWorkspaceSpecificEndpoints or the workspace has public access disabled, the workspace-specific endpoint is provided to allow for access over private links. |
| dfsEndpoint |
string |
The OneLake API endpoint available for Distributed File System (DFS) or ADLSgen2 filesystem API operations. By default, this is a region specific endpoint. If the user enables preferWorkspaceSpecificEndpoints or the workspace has public access disabled, the workspace-specific endpoint is provided to allow for access over private links. |
WorkspaceAppliedTag
Represents an applied tag.
| Name | Type | Description |
|---|---|---|
| displayName |
string |
The name of the tag. |
| id |
string (uuid) |
The tag ID. |
WorkspaceIdentity
A workspace identity object.
| Name | Type | Description |
|---|---|---|
| applicationId |
string (uuid) |
The application ID. |
| servicePrincipalId |
string (uuid) |
The service principal ID. |
WorkspaceInfo
A workspace object.
| Name | Type | Description |
|---|---|---|
| apiEndpoint |
string (uri) |
HTTP URL that represents the API endpoint specific to the workspace. This endpoint value is returned when the user enables preferWorkspaceSpecificEndpoints. It allows for API access over private links. |
| capacityAssignmentProgress |
The status of the workspace's capacity assignment progress. |
|
| capacityId |
string (uuid) |
The ID of the capacity the workspace is assigned to. |
| capacityRegion |
The region of the capacity associated with this workspace. |
|
| description |
string |
The workspace description. |
| displayName |
string |
The workspace display name. |
| domainId |
string (uuid) |
The ID of the domain the workspace is assigned to. |
| id |
string (uuid) |
The workspace ID. |
| oneLakeEndpoints |
The OneLake API endpoints associated with this workspace. |
|
| tags |
List of applied tags. |
|
| type |
The workspace type. |
|
| workspaceIdentity |
The workspace identity. |
WorkspaceType
A workspace type. Additional workspace types may be added over time.
| Value | Description |
|---|---|
| Personal |
My folder or My workspace used to manage user items. |
| Workspace |
Workspace used to manage the Fabric items. |
| AdminWorkspace |
Admin monitoring workspace. Contains admin reports such as the audit report and the usage and adoption report. |